Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006405opensim[REGION] Physics Enginespublic2012-11-07 22:252014-07-29 13:41
Reporternebadon 
Assigned ToRobert Adams 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Versionmaster (dev code) 
Summary0006405: System.AccessViolationException Attempted to read or write protected memory. (BulletSim)
DescriptionI am seeing the following message on my simulator console during startup, it does not seem to be causing any problems but i figured I would mantis any exceptions i come across.

01:17:07 - [BULLETS SCENE]: ProcessTaints: BSPrim.create: Exception: System.AccessViolationException: Attempted to read or write protected memory. This is often an indication that other memory is corrupt.
01:17:07 - [BULLETS SCENE]: ProcessTaints: BSPrim.SubscribeEvents: Exception: System.AccessViolationException: Attempted to read or write protected memory. This is often an indication that other memory is corrupt.
01:17:07 - [BULLETS SCENE]: ProcessTaints: BSPrim.create: Exception: System.AccessViolationException: Attempted to read or write protected memory. This is often an indication that other memory is corrupt.
01:17:07 - [BULLETS SCENE]: ProcessTaints: BSPrim.SubscribeEvents: Exception: System.AccessViolationException: Attempted to read or write protected memory. This is often an indication that other memory is corrupt.
01:17:07 - [BULLETS SCENE]: ProcessTaints: BSPrim.SetVolumeDetect: Exception: System.AccessViolationException: Attempted to read or write protected memory. This is often an indication that other memory is corrupt.
01:17:07 - [BULLETS SCENE]: ProcessTaints: BSPrim.SetVolumeDetect: Exception: System.AccessViolationException: Attempted to read or write protected memory. This is often an indication that other memory is corrupt.
TagsNo tags attached.
Git Revision or version number
Run ModeStandalone (1 Region)
Physics EngineBulletSim
Environment.NET / Windows64
Mono VersionNone
Viewer
Attached Files

- Relationships

-  Notes
(0023068)
Robert Adams (administrator)
2012-11-10 11:42

Nebadon: do you have the log file from when these errors occurred? The error comes out on the console but the full stack trace is in the log file.
(0023281)
Robert Adams (administrator)
2012-12-17 16:42

There were several instances where un-initialized variables were being used during the chaotic region setup. Most of these have been fixed. If you find more add them. The stack trace is most useful and it is in the OpenSim.log file (the console logger just outputs the first line of the error but the whole stack track goes into the log file).

- Issue History
Date Modified Username Field Change
2012-11-07 22:25 nebadon New Issue
2012-11-07 22:37 nebadon Summary System.AccessViolationException Attempted to read or write protected memory. => System.AccessViolationException Attempted to read or write protected memory. (BulletSim)
2012-11-10 11:40 Robert Adams Assigned To => Robert Adams
2012-11-10 11:40 Robert Adams Status new => assigned
2012-11-10 11:42 Robert Adams Note Added: 0023068
2012-12-17 16:42 Robert Adams Note Added: 0023281
2012-12-17 16:42 Robert Adams Status assigned => resolved
2012-12-17 16:42 Robert Adams Fixed in Version => master (dev code)
2012-12-17 16:42 Robert Adams Resolution open => fixed
2014-07-29 13:41 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker